#!/usr/bin/env node
/* eslint-disable no-console */

const {compareDocs} = require('../dist/generate-docs/src/compareDocs');
const {
  parseArguments,
} = require('../dist/generate-docs/src/utilities/parseArguments');

const argsObj = parseArguments(process.argv.slice(2));

if (argsObj.help || argsObj.h) {
  const usageText = `
    The command "compare-docs" compares your generated docs output with an output just created to make sure they stay in sync.

    usage:
      compare-docs <options>

      options:

      --output:             used to specify the folder where the generated files are located
        type:               string
        default:            ./docs/generated/

      --help, --h:          displays this help message
    `;
  console.log(usageText);
} else {
  compareDocs(argsObj.output);
}
