#!/usr/bin/env node
/* eslint-disable no-console */

const {assembleDocs} = require('../dist/generate-docs/src/assembler/assembler');
const {
  parseArguments,
} = require('../dist/generate-docs/src/utilities/parseArguments');

const argsObj = parseArguments(process.argv.slice(2));

if (argsObj.help || argsObj.h) {
  const usageText = `
    generate-docs helps process your .doc.ts files.

    usage:
      generate-docs <options>

      options:

      --input:           used to specify input directory of files to parse, can provide multiple strings separated by spaces
        type:            string
        default:         current directory

      --typesInput:      used to specify input directory of files to parse for types, can provide multiple strings separated by spaces
        type:            string

      --output:          used to specify where output will be generated
        type:            string
        default:         current directory

      --isLandingPage:   process landing pages without running type generator
        type:            boolean
        default:         false

      --isCategoryPage:  process category pages without running type generator
        type:            boolean
        default:         false

      --overridePath:    used to specify a path to override the default path
        type:            string

      --declarationPath: used to specify paths from which declaration files may be imported, can provide multiple strings separated by spaces
        type:            string

      --help:            displays this help message
    `;
  console.log(usageText);
} else {
  assembleDocs(
    argsObj.input,
    argsObj.output,
    argsObj.isLandingPage,
    argsObj.isCategoryPage,
    argsObj.overridePath,
    argsObj.typesInput,
    argsObj.declarationPath,
  );
}
