#!/usr/bin/env node
/* eslint-disable no-console */

const {scaffoldDocs} = require('../dist/generate-docs/src/scaffoldDocs');
const {
  parseArguments,
} = require('../dist/generate-docs/src/utilities/parseArguments');

const argsObj = parseArguments(process.argv.slice(2), true);

if (argsObj.help || argsObj.h) {
  const usageText = `
    The command "scaffold-docs" helps scaffold your .doc.ts file. Simply provide it a valid type, name, and desired output directory. For more detailed information, consider reading the README.md (click the link to open the readme in your browser: https://github.com/Shopify/generate-docs)

    usage:
      scaffold-docs <options>

      options:

      --type:               used to specify the type of template to generate, options are limited to 'entity' or 'static'
        type:               string
        default:            entity

      --output:             used to specify where the file output will be generated
        type:               string
        default:            current directory

      --name:               used to specify the name of the file
        type:               string

      --id:                 used to specify the id of the static file.
                            ID must match the ID provided in the config.json file in shopify.dev repo.
        format:             kebab-case (e.g., my-static-file)

      --help, --h:          displays this help message
    `;
  console.log(usageText);
} else {
  scaffoldDocs(argsObj.type, argsObj.output, argsObj.name, argsObj.id);
}
