#!/usr/bin/env node
/* eslint-disable no-console */

const {setUpDocsFolder} = require('../dist/generate-docs/src/setupDocs');
const {
  parseArguments,
} = require('../dist/generate-docs/src/utilities/parseArguments');

const argsObj = parseArguments(process.argv.slice(2));

if (argsObj.help || argsObj.h) {
  const usageText = `
    The command "set-up-docs" creates a folder with your documents.  For more detailed information, consider reading the README.md (click the link to open the readme in your browser: https://github.com/Shopify/generate-docs)

    usage:
      set-up-docs <options>

      options:

      --srcInput:         the path to the folder containing the source files, can provide multiple strings separated by spaces
        type:               string
        default:           './src'

      --typesInput:       the path to the folder containing the type files, can provide multiple strings separated by spaces
        type:               string

      --help, --h:          displays this help message
    `;
  console.log(usageText);
} else {
  setUpDocsFolder(argsObj.srcInput, argsObj.typesInput);
}
