#!/usr/bin/env node
"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createCodeTabs = void 0;
const fs = __importStar(require("fs"));
const path_1 = __importDefault(require("path"));
const createCodeTabs = (code, filePath, rawCode = false) => code.tabs.map((tab) => {
    try {
        const codeContent = rawCode
            ? tab.code
            : fs.readFileSync(path_1.default.join(process.cwd(), path_1.default.join(path_1.default.dirname(filePath), tab.code)), 'utf8');
        return { ...tab, code: escapeHTML(codeContent) };
    }
    catch (error) {
        if (error.code === 'ENOENT') {
            throw new Error(`Unable to find code file, '${tab.code}', in the doc file: '${filePath}'.`);
        }
        else {
            throw error;
        }
    }
});
exports.createCodeTabs = createCodeTabs;
const escapeHTML = (code) => {
    return code.replace(/</g, '&lt;').replace(/>/g, '&gt;');
};
