"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.addCodeToSections = void 0;
const addStaticCodeSamples_1 = require("../contentModifications/addStaticCodeSamples");
const createCodeTabs_1 = require("../contentModifications/createCodeTabs");
const addCodeToSections = (doc) => {
    const sections = doc.sections;
    if (sections) {
        doc.sections = sections.map((section) => {
            if (section.codeSamples) {
                const codeSamples = (0, addStaticCodeSamples_1.addStaticCodeSamples)(section.codeSamples, doc.filePath);
                return { ...section, codeSamples };
            }
            if (section.codeblock) {
                const tabs = (0, createCodeTabs_1.createCodeTabs)(section.codeblock, doc.filePath);
                return { ...section, codeblock: { ...section.codeblock, tabs } };
            }
            if (section.accordionContent) {
                const accordionContent = section.accordionContent.map((accordionItem) => {
                    if (accordionItem.codeblock) {
                        const tabs = (0, createCodeTabs_1.createCodeTabs)(accordionItem.codeblock, doc.filePath);
                        return {
                            ...accordionItem,
                            codeblock: { ...accordionItem.codeblock, tabs },
                        };
                    }
                    return accordionItem;
                });
                return { ...section, accordionContent };
            }
            return section;
        });
    }
};
exports.addCodeToSections = addCodeToSections;
