"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.addExamplesToDocs = void 0;
const addCodeblockToExamples_1 = require("../contentModifications/addCodeblockToExamples");
const addCodeblockToExampleGroups_1 = require("../contentModifications/addCodeblockToExampleGroups");
const createCodeTabs_1 = require("../contentModifications/createCodeTabs");
const addCodeToSections_1 = require("./addCodeToSections");
const addJSDocExamples_1 = require("./addJSDocExamples");
const addExamplesToDocs = (doc, typeMap) => {
    // adding code to different sections
    const { defaultExample, examples, subSections } = doc;
    if (defaultExample) {
        const tabs = (0, createCodeTabs_1.createCodeTabs)(defaultExample.codeblock, doc.filePath);
        doc.defaultExample = {
            ...defaultExample,
            codeblock: { ...defaultExample.codeblock, tabs },
        };
    }
    if (subSections) {
        doc.subSections = subSections.map((subSection) => {
            if (subSection.codeblock) {
                const tabs = (0, createCodeTabs_1.createCodeTabs)(subSection.codeblock, doc.filePath);
                return { ...subSection, codeblock: { ...subSection.codeblock, tabs } };
            }
            return subSection;
        });
    }
    if (examples && examples.examples) {
        doc.examples.examples = (0, addCodeblockToExamples_1.addCodeblockToExamples)(examples.examples, doc.filePath);
    }
    if (examples && examples.exampleGroups) {
        doc.examples.exampleGroups = (0, addCodeblockToExampleGroups_1.addCodeblockToExampleGroups)(examples.exampleGroups, doc.filePath);
    }
    (0, addJSDocExamples_1.addJSDocExamples)(doc, typeMap);
    (0, addCodeToSections_1.addCodeToSections)(doc);
};
exports.addExamplesToDocs = addExamplesToDocs;
