"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.addGeneratedContentToDocs = void 0;
const addTypesToDefinitions_1 = require("../contentModifications/addTypesToDefinitions");
const addDescriptionFromType_1 = require("./addDescriptionFromType");
const addExamplesToDocs_1 = require("./addExamplesToDocs");
const addGeneratedContentToDocs = (nonEmptyDocs, typeMap) => {
    nonEmptyDocs.forEach((doc) => {
        if (doc.definitions && typeMap) {
            doc.definitions = (0, addTypesToDefinitions_1.addTypesToDefinitions)(doc.definitions, typeMap);
        }
        (0, addDescriptionFromType_1.addDescriptionFromType)(doc, typeMap);
        (0, addExamplesToDocs_1.addExamplesToDocs)(doc, typeMap);
    });
};
exports.addGeneratedContentToDocs = addGeneratedContentToDocs;
