#!/usr/bin/env node
"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.compareDocs = void 0;
const fs = __importStar(require("fs"));
const path_1 = __importDefault(require("path"));
const fileNames = ['generated_docs_data.json', 'generated_static_pages.json'];
const compareDocs = (output = './docs/generated') => {
    const tempOutputPath = path_1.default.join(process.cwd(), output.replace('generated', 'temp'));
    const generatedOutputPath = path_1.default.join(process.cwd(), output);
    fileNames.forEach((fileName) => {
        try {
            const expected = fs.readFileSync(path_1.default.join(tempOutputPath, fileName), 'utf8');
            const actual = fs.readFileSync(path_1.default.join(generatedOutputPath, fileName), 'utf8');
            if (expected !== actual) {
                throw new Error('There is a discrepancy between your committed docs and the docs being generated. Please run `yarn build-docs` and commit the output and try again.');
            }
        }
        catch (error) {
            throw new Error(error);
        }
    });
};
exports.compareDocs = compareDocs;
