"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.buildDocsCommands = void 0;
const buildDocsCommands = (source, typesInput = '') => `COMPILE_DOCS="yarn tsc --project docs/tsconfig.docs.json --types react --moduleResolution node  --target esNext  --module CommonJS && generate-docs --overridePath ./docs/typeOverride.json --input ${inputSource(source)} ${typesInputSource(typesInput)} --output ./docs/generated ${removeFiles(source)}"
COMPILE_STATIC_PAGES="yarn tsc docs/staticPages/*.doc.ts --types react --moduleResolution node  --target esNext  --module CommonJS && generate-docs --isLandingPage --input ./docs/staticPages --output ./docs/generated && rm -rf docs/staticPages/*.doc.js"
COMPILE_CATEGORY_PAGES="yarn tsc docs/categories/*.doc.ts --types react --moduleResolution node  --target esNext  --module CommonJS && generate-docs --isCategoryPage --input ./docs/categories --output ./docs/generated && rm -rf docs/categories/*.doc.js"

if [ "$1" = "isTest" ];
then
COMPILE_DOCS="yarn tsc --project docs/tsconfig.docs.json --types react --moduleResolution node  --target esNext  --module CommonJS && generate-docs --overridePath ./docs/typeOverride.json --input ${inputSource(source)} --output ./docs/temp ${removeFiles(source)}"
COMPILE_STATIC_PAGES="yarn tsc docs/staticPages/*.doc.ts --types react --moduleResolution node  --target esNext  --module CommonJS && generate-docs --isLandingPage --input ./docs/staticPages ${typesInputSource(typesInput)} --output ./docs/temp && rm -rf docs/staticPages/*.doc.js"
fi

eval $COMPILE_DOCS
eval $COMPILE_STATIC_PAGES
if [ -d "docs/categories" ]; then
    eval $COMPILE_CATEGORY_PAGES
fi
`;
exports.buildDocsCommands = buildDocsCommands;
const removalString = (src) => `&& rm -rf ${src}/**/*.doc.js ${src}/*.doc.js`;
const removeFiles = (source) => {
    if (Array.isArray(source)) {
        return source.map((src) => removalString(src)).join(' ');
    }
    return removalString(source);
};
const inputSource = (source) => {
    if (Array.isArray(source)) {
        return source.map((src) => `${src}`).join(' ');
    }
    return `./${source}`;
};
const typesInputSource = (typesInput) => {
    if (typesInput === '') {
        return '';
    }
    return `--typesInput ${inputSource(typesInput)}`;
};
