"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.buildTsConfig = void 0;
const path_1 = __importDefault(require("path"));
const buildTsConfig = (source) => `{
    "compilerOptions": {
        "rootDir": "/",
    },
    "include": [
        ${includeSources(source)}
    ],
    "exclude": []
}`;
exports.buildTsConfig = buildTsConfig;
const includeSources = (source) => {
    if (Array.isArray(source)) {
        return source
            .map((src) => `"${path_1.default.join(process.cwd(), src)}/**/*.doc.ts"`)
            .join(', ');
    }
    return `"../${source}/**/*.doc.ts"`;
};
