#!/usr/bin/env node
"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.setUpShopifyDev = exports.setUpDocsFolder = void 0;
/* eslint-disable no-console */
const fs = __importStar(require("fs"));
const path_1 = __importDefault(require("path"));
const scaffolding_1 = require("./scaffolding");
const setUpDocsFolder = (srcInput = './src', typesInput = '', output = './docs') => {
    if (srcInput === '') {
        console.warn("An empty string was passed as the source input. Defaulting to './src'.");
    }
    const inputSource = srcInput === '' ? './src' : srcInput;
    const inputValue = Array.isArray(inputSource)
        ? inputSource.map((src) => src)
        : inputSource.replace('./', '');
    const typeInputValue = Array.isArray(typesInput)
        ? typesInput.map((src) => src)
        : typesInput.replace('./', '');
    const tsConfigTemplate = (0, scaffolding_1.buildTsConfig)(inputValue);
    const buildDocsTemplate = (0, scaffolding_1.buildDocsCommands)(inputValue, typeInputValue);
    const staticPageTemplate = fs.readFileSync(path_1.default.join(__dirname, './scaffolding/staticPageTemplate.ts'), 'utf8');
    const docsPath = process.cwd();
    const fileDetails = [
        { filePath: path_1.default.join(docsPath, `${output}/typeOverride.json`) },
        {
            filePath: path_1.default.join(docsPath, `${output}/generated/generated_docs_data.json`),
        },
        { filePath: path_1.default.join(docsPath, `${output}/screenshots/test.png`) },
        {
            filePath: path_1.default.join(docsPath, `${output}/staticPages/sampleStatic.doc.ts`),
            fileContent: staticPageTemplate,
        },
        {
            filePath: path_1.default.join(docsPath, `${output}/tsconfig.docs.json`),
            fileContent: tsConfigTemplate,
        },
        {
            filePath: path_1.default.join(docsPath, `${output}/build-docs.sh`),
            fileContent: buildDocsTemplate,
        },
    ];
    const defaultFileContent = JSON.stringify({}, undefined, 2);
    fileDetails.forEach((fileDetail) => {
        const filePath = fileDetail.filePath;
        const fileContent = fileDetail.fileContent ?? defaultFileContent;
        fs.mkdirSync(path_1.default.dirname(filePath), { recursive: true });
        fs.writeFileSync(filePath, fileContent);
    });
    console.log(`A docs folder has been created containing files tsconfig.doc.ts and build-docs.sh with the source input(s) of ${srcInput}. In order to use generate-docs please add "generate-docs": "sh docs/build-docs.sh" to your package.json scripts (see readme for a script example).`);
};
exports.setUpDocsFolder = setUpDocsFolder;
const setUpShopifyDev = (name) => {
    const configData = (0, scaffolding_1.buildConfig)(name.replace(/_/g, '-'));
    const filePathName = name.toLowerCase().replace(/-/g, '_');
    const filePath = path_1.default.join(process.cwd(), `./db/data/docs/templated_apis/${filePathName}/config.json`);
    fs.mkdirSync(path_1.default.dirname(filePath), { recursive: true });
    fs.writeFileSync(filePath, JSON.stringify(configData, undefined, 2));
};
exports.setUpShopifyDev = setUpShopifyDev;
