"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseArguments = void 0;
const isOptionName = (arg) => arg.startsWith('--');
const parseArguments = (args, requiredFlag = false) => {
    if (requiredFlag && args.length === 0) {
        throw new Error('A valid name must start with two dashes, pass in --h or --help for guidance.');
    }
    return args.reduce((acc, arg, index) => {
        if (isOptionName(arg)) {
            const name = arg.slice(2);
            if (index <= args.length - 2 && !isOptionName(args[index + 1])) {
                const argsArray = [];
                let i = 1;
                while (args[index + i] && !isOptionName(args[index + i])) {
                    argsArray.push(args[index + i]);
                    i++;
                }
                acc[name] = argsArray.length > 1 ? argsArray : argsArray[0];
            }
            else {
                acc[name] = true;
            }
        }
        return acc;
    }, {});
};
exports.parseArguments = parseArguments;
