#!/usr/bin/env node
"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getProps = void 0;
const ts = __importStar(require("typescript"));
const overrideTypeMapContent_1 = require("./overrideTypeMapContent");
const getTypesFromFilePaths_1 = require("./typeParsing/getTypesFromFilePaths");
const compilerOptions = {
    target: ts.ScriptTarget.ES5,
    module: ts.ModuleKind.CommonJS,
};
function getProps(filePaths, overrides, declarationPaths) {
    const filteredFilePaths = filePaths.filter((file) => !(file.includes('.test.') || file.includes('.stories.')));
    const program = ts.createProgram(filteredFilePaths, compilerOptions);
    const checker = program.getTypeChecker();
    const typeMap = (0, getTypesFromFilePaths_1.getTypesFromFilePaths)(program, checker, declarationPaths);
    const typeMapOverrides = overrides
        ? (0, overrideTypeMapContent_1.overrideTypeMapContent)(typeMap, overrides)
        : {};
    return { ...typeMap, ...typeMapOverrides };
}
exports.getProps = getProps;
