"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.overrideTypeMapContent = void 0;
const overrideTypeMapContent = (typeMap, overrides) => {
    return Object.keys(overrides).reduce((acc, value) => {
        if (!typeMap[value]) {
            console.warn(`The type "${value}" was not found in your types and has been added. If this type was added by mistake, please review the type name.`);
        }
        const typeMapFilePath = typeMap[value]
            ? typeMap[value][Object.keys(typeMap[value])[0]].filePath
            : '';
        return {
            ...acc,
            [value]: {
                Override: {
                    description: typeMap[value]?.[typeMapFilePath].description ?? '',
                    name: value,
                    value,
                    members: typeMap[value]?.[typeMapFilePath].members ?? [],
                    override: overrides[value],
                },
            },
        };
    }, {});
};
exports.overrideTypeMapContent = overrideTypeMapContent;
