"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createImportMap = void 0;
const ts = __importStar(require("typescript"));
const normalizePath_1 = require("./utils/normalizePath");
const createImportMap = (sourceFile, checker, isNested) => {
    let importMap = {};
    ts.forEachChild(sourceFile, (child) => {
        if (isNested && !ts.isImportDeclaration(child)) {
            if (ts.isInterfaceDeclaration(child)) {
                const name = child.name.escapedText.toString();
                const sameLevelImportFilePath = (0, normalizePath_1.normalizePath)(getFilePathOfDeclaration(child.getSourceFile()) ?? '', process.cwd());
                importMap = { ...importMap, ...{ [name]: sameLevelImportFilePath } };
            }
        }
        if (ts.isImportDeclaration(child)) {
            const namedBindings = child.importClause?.namedBindings;
            const valueDeclaration = checker.getSymbolAtLocation(child.moduleSpecifier)?.valueDeclaration;
            if (namedBindings && ts.isNamedImports(namedBindings)) {
                const importNames = namedBindings.elements.map((element) => element.name.getText());
                const importLineMap = importNames.reduce((acc, cur) => {
                    acc[cur] = (0, normalizePath_1.normalizePath)(getFilePathOfDeclaration(valueDeclaration) ?? '', process.cwd());
                    return acc;
                }, {});
                importMap = { ...importMap, ...importLineMap };
            }
        }
    });
    return importMap;
};
exports.createImportMap = createImportMap;
const getFilePathOfDeclaration = (valueDeclaration) => {
    if (valueDeclaration && ts.isSourceFile(valueDeclaration)) {
        return valueDeclaration.fileName;
    }
    return undefined;
};
