"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.collectBaseDescriptions = void 0;
const getSymbolComment_1 = require("./getSymbolComment");
/**
 * Collects descriptions for all properties of a given type, keyed by property name.
 * Only non-empty descriptions are included.
 */
function collectBaseDescriptions(type, checker) {
    const baseDescriptions = {};
    type.getProperties().forEach((prop) => {
        const desc = (0, getSymbolComment_1.getSymbolComment)(prop, checker);
        if (desc && desc.trim() !== '') {
            baseDescriptions[prop.getName()] = desc;
        }
    });
    return baseDescriptions;
}
exports.collectBaseDescriptions = collectBaseDescriptions;
